## r-cran-shinystan 2.5.0

=== DESCRIPTION ===
Package: shinystan
Title: Interactive Visual and Numerical Diagnostics and Posterior
        Analysis for Bayesian Models
Version: 2.5.0
Date: 2018-04-29
Authors@R: c(person("Jonah", "Gabry", role = c("aut", "cre"),
    email = "jsg2201@columbia.edu"),
      person(family = "Stan Development Team", role = "ctb"),
      person("Michael", "Andreae", role = "ctb"),
      person("Michael", "Betancourt", role = "ctb"),
      person("Bob", "Carpenter", role = "ctb"),
      person("Yuanjun", "Gao", role = "ctb"),
      person("Andrew", "Gelman", role = "ctb"),
      person("Ben", "Goodrich", role = "ctb"),
      person("Daniel", "Lee", role = "ctb"),
      person("Dongying", "Song", role = "ctb"),
      person("Rob", "Trangucci", role = "ctb"))
Maintainer: Jonah Gabry <jsg2201@columbia.edu>
Description: A graphical user interface for interactive Markov chain Monte
    Carlo (MCMC) diagnostics and plots and tables helpful for analyzing a
    posterior sample. The interface is powered by the 'Shiny' web
    application framework from 'RStudio' and works with the output of MCMC 
    programs written in any programming language (and has extended 
    functionality for 'Stan' models fit using the 'rstan' and 'rstanarm' 
    packages).
URL: http://mc-stan.org/, http://discourse.mc-stan.org
BugReports: https://github.com/stan-dev/shinystan/issues/
License: GPL (>= 3)
Depends: R (>= 3.1.0), shiny (>= 1.0.3)
Imports: bayesplot (>= 1.5.0), colourpicker, DT (>= 0.2), dygraphs (>=
        1.1.1.2), ggplot2 (>= 2.1.1), gridExtra, gtools, markdown (>=
        0.7.4), methods, reshape2, rsconnect (>= 0.4.2), rstan (>=
        2.17.1), stats, shinyjs (>= 0.6.0), shinythemes (>= 1.0.1),
        threejs (>= 0.2.1), utils, xtable, xts (>= 0.9-7)
Suggests: coda, knitr (>= 1.9), rmarkdown (>= 0.8.1), rstanarm (>=
        2.17.4), testthat
LazyData: true
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-04-30 22:31:52 UTC; jgabry
Author: Jonah Gabry [aut, cre],
  Stan Development Team [ctb],
  Michael Andreae [ctb],
  Michael Betancourt [ctb],
  Bob Carpenter [ctb],
  Yuanjun Gao [ctb],
  Andrew Gelman [ctb],
  Ben Goodrich [ctb],
  Daniel Lee [ctb],
  Dongying Song [ctb],
  Rob Trangucci [ctb]
Repository: CRAN
Date/Publication: 2018-05-01 03:31:02 UTC

=== debian/changelog ===
r-cran-shinystan (2.5.0-4) unstable; urgency=medium

  * Drop r-cran-rstanarm from Test-Depends (and do not execute the
    according tests)
    Closes: #971940
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Build-/Test-Depends: r-cran-codetools

 -- Andreas Tille <tille@debian.org>  Mon, 23 Nov 2020 15:37:59 +0100

r-cran-shinystan (2.5.0-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 20 May 2020 21:39:56 +0200

r-cran-shinystan (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Fri, 03 Jan 2020 12:25:51 +0100

r-cran-shinystan (2.5.0-1) unstable; urgency=medium

  * Initial release (closes: #935412)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Aug 2019 13:33:52 +0200

=== debian/control ===
Source: r-cran-shinystan
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-shiny (>= 1.0.3),
               r-cran-bayesplot,
               r-cran-colourpicker,
               r-cran-dt,
               r-cran-dygraphs,
               r-cran-ggplot2 (>= 2.1.1),
               r-cran-gridextra,
               r-cran-gtools,
               r-cran-markdown,
               r-cran-reshape2,
               r-cran-rsconnect,
               r-cran-rstan,
               r-cran-shinyjs,
               r-cran-shinythemes,
               r-cran-threejs,
               r-cran-xtable,
               r-cran-xts,
               r-cran-codetools
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shinystan
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shinystan.git
Homepage: https://cran.r-project.org/package=shinystan
Rules-Requires-Root: no

Package: r-cran-shinystan
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interactive diagnostics and analysis for Bayesian models
 A graphical user interface for interactive Markov chain Monte
 Carlo (MCMC) diagnostics and plots and tables helpful for analyzing a
 posterior sample. The interface is powered by the 'Shiny' web
 application framework from 'RStudio' and works with the output of MCMC
 programs written in any programming language (and has extended
 functionality for 'Stan' models fit using the 'rstan' and 'rstanarm'
 packages).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_installdocs:
	dh_installdocs
	# instead of fixing MathJax via quilt patch files using sed after installation
	# this prevents the need to adapt the quilt patch when upstream changes the files
	for html in `find debian -name "*.html"` ; do \
	    sed -i 's#\([[:space:]]src="\)https*://cdn\..*/mathjax/.*/MathJax.js\(?config=TeX.*L">\)#\1file:///usr/share/javascript/mathjax/MathJax.js\2#' $${html} ; \
	done

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat,
            r-cran-coda,
            r-cran-codetools
Restrictions: allow-stderr

# Leave out r-cran-rstanarm Test-Depends since it is broken (see #963392)
#            r-cran-rstanarm

## r-cran-shinystan 2.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Package: shinystan
 Title: Interactive Visual and Numerical Diagnostics and Posterior
         Analysis for Bayesian Models
-Version: 2.5.0
-Date: 2018-04-29
+Version: 2.6.0
+Date: 2022-03-02
 Authors@R: c(person("Jonah", "Gabry", role = c("aut", "cre"),
     email = "jsg2201@columbia.edu"),
+      person("Duco", "Veen", role = "aut"),
       person(family = "Stan Development Team", role = "ctb"),
       person("Michael", "Andreae", role = "ctb"),
       person("Michael", "Betancourt", role = "ctb"),
@@ -23,23 +24,27 @@
     programs written in any programming language (and has extended 
     functionality for 'Stan' models fit using the 'rstan' and 'rstanarm' 
     packages).
-URL: http://mc-stan.org/, http://discourse.mc-stan.org
+URL: https://mc-stan.org/shinystan/, https://discourse.mc-stan.org
 BugReports: https://github.com/stan-dev/shinystan/issues/
 License: GPL (>= 3)
 Depends: R (>= 3.1.0), shiny (>= 1.0.3)
 Imports: bayesplot (>= 1.5.0), colourpicker, DT (>= 0.2), dygraphs (>=
         1.1.1.2), ggplot2 (>= 2.1.1), gridExtra, gtools, markdown (>=
-        0.7.4), methods, reshape2, rsconnect (>= 0.4.2), rstan (>=
-        2.17.1), stats, shinyjs (>= 0.6.0), shinythemes (>= 1.0.1),
-        threejs (>= 0.2.1), utils, xtable, xts (>= 0.9-7)
-Suggests: coda, knitr (>= 1.9), rmarkdown (>= 0.8.1), rstanarm (>=
-        2.17.4), testthat
+        0.7.4), methods, reshape2, rstan (>= 2.17.1), stats, shinyjs
+        (>= 0.6.0), shinythemes (>= 1.0.1), threejs (>= 0.2.1), utils,
+        xtable, xts (>= 0.9-7)
+Suggests: cmdstanr (>= 0.4.0), coda, knitr (>= 1.9), posterior (>=
+        1.0.0), rmarkdown (>= 0.8.1), rsconnect (>= 0.4.2), rstanarm
+        (>= 2.17.4), testthat
+Additional_repositories: https://mc-stan.org/r-packages/
 LazyData: true
+Encoding: UTF-8
 VignetteBuilder: knitr
-RoxygenNote: 6.0.1
+RoxygenNote: 7.1.2
 NeedsCompilation: no
-Packaged: 2018-04-30 22:31:52 UTC; jgabry
+Packaged: 2022-03-02 19:40:48 UTC; jgabry
 Author: Jonah Gabry [aut, cre],
+  Duco Veen [aut],
   Stan Development Team [ctb],
   Michael Andreae [ctb],
   Michael Betancourt [ctb],
@@ -51,4 +56,4 @@
   Dongying Song [ctb],
   Rob Trangucci [ctb]
 Repository: CRAN
-Date/Publication: 2018-05-01 03:31:02 UTC
+Date/Publication: 2022-03-03 00:10:02 UTC

=== debian/changelog ===
r-cran-shinystan (2.6.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 10:29:21 +0100

=== debian/control ===
--- 
+++ 
@@ -7,25 +7,23 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-shiny (>= 1.0.3),
+               r-cran-shiny,
                r-cran-bayesplot,
                r-cran-colourpicker,
                r-cran-dt,
                r-cran-dygraphs,
-               r-cran-ggplot2 (>= 2.1.1),
+               r-cran-ggplot2,
                r-cran-gridextra,
                r-cran-gtools,
                r-cran-markdown,
                r-cran-reshape2,
-               r-cran-rsconnect,
                r-cran-rstan,
                r-cran-shinyjs,
                r-cran-shinythemes,
                r-cran-threejs,
                r-cran-xtable,
-               r-cran-xts,
-               r-cran-codetools
-Standards-Version: 4.5.1
+               r-cran-xts
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shinystan
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shinystan.git
 Homepage: https://cran.r-project.org/package=shinystan

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/shinystan_([-\d.]*)\.tar\.gz
